﻿local RACE_TEX_COORDS = {
    ["Human_2"]     = {0, 0.125, 0, 0.25},
    ["Dwarf_2"]     = {0.125, 0.25, 0, 0.25},
    ["Gnome_2"]     = {0.25, 0.375, 0, 0.25},
    ["Night Elf_2"]  = {0.375, 0.5, 0, 0.25},
    ["Draenei_2"]   = {0.5, 0.625, 0, 0.25},
    ["Tauren_2"]    = {0, 0.125, 0.25, 0.5},
    ["Undead_2"]   = {0.125, 0.25, 0.25, 0.5},
    ["Troll_2"]     = {0.25, 0.375, 0.25, 0.5},
    ["Orc_2"]       = {0.375, 0.5, 0.25, 0.5},
    ["Blood Elf_2"]  = {0.5, 0.625, 0.25, 0.5},
    ["Human_3"]     = {0, 0.125, 0.5, 0.75},
    ["Dwarf_3"]     = {0.125, 0.25, 0.5, 0.75},
    ["Gnome_3"]     = {0.25, 0.375, 0.5, 0.75},
    ["Night Elf_3"]  = {0.375, 0.5, 0.5, 0.75},
    ["Draenei_3"]   = {0.5, 0.625, 0.5, 0.75},
    ["Tauren_3"]    = {0, 0.125, 0.75, 1},
    ["Undead_3"]   = {0.125, 0.25, 0.75, 1},
    ["Troll_3"]     = {0.25, 0.375, 0.75, 1},
    ["Orc_3"]       = {0.375, 0.5, 0.75, 1},
    ["Blood Elf_3"]  = {0.5, 0.625, 0.75, 1},
    ["Worgen_2"]    = {0.625, 0.75, 0, 0.25},
    ["Goblin_2"]    = {0.625, 0.75, 0.25, 0.5},
    ["Worgen_3"]    = {0.625, 0.75, 0.5, 0.75},
    ["Goblin_3"]    = {0.625, 0.75, 0.75, 1},
}

local ClassIconCoords = {
	["WARRIOR"] = {0, 0.25, 0, 0.25},
	["MAGE"] = {0.25, 0.49609375, 0, 0.25},
	["ROGUE"] = {0.49609375, 0.7421875, 0, 0.25},
	["DRUID"] = {0.7421875, 0.98828125, 0, 0.25},
	["HUNTER"] = {0, 0.25, 0.25, 0.5},
	["SHAMAN"] = {0.25, 0.49609375, 0.25, 0.5},
	["PRIEST"] = {0.49609375, 0.7421875, 0.25, 0.5},
	["WARLOCK"] = {0.7421875, 0.98828125, 0.25, 0.5},
	["PALADIN"] = {0, 0.25, 0.5, 0.75},
	["DEATHKNIGHT"] = {0.25, 0.49609375, 0.5, 0.75},
}

function Liquid_Wealth:BuildIcons(Toon,Scale)
  local Gender = {"N/A","Male","Female" }
  local texString_Race = ""
  local texString_Class = ""
  if Scale == nil then Scale = 15 end --If Scale was not passed though set a default
  local sex, race, class = strsplit(":", Toon);
  class = strupper(class) 
  local race_sex = RACE_TEX_COORDS[race .. "_" .. sex]
  texString_Race = "|TInterface\\Glues\\CharacterCreate\\UI-CharacterCreate-Races:" .. Scale ..":" .. Scale ..":0:0:512:256:" .. race_sex[1]*512 .. ":" .. race_sex[2]*512 .. ":".. race_sex[3]*256 ..":" .. race_sex[4]*256 .. "|t"
  texString_Class = "|TInterface\\Glues\\CharacterCreate\\UI-CharacterCreate-Classes:" .. Scale ..":" .. Scale ..":0:0:256:256:" .. ClassIconCoords[class][1]*256 .. ":" .. ClassIconCoords[class][2]*256 .. ":".. ClassIconCoords[class][3]*256 ..":" .. ClassIconCoords[class][4]*256 .."|t"
  return texString_Race .. texString_Class
end

function Liquid_Wealth:BuildBagIcons(itemID, ItemTexturePath, scale)
  if scale == nil then scale = 18 end
  if (itemID == "Bank") or (itemID == "Backpack") then --Show BagIcon for bank or backup
    return "|TInterface\\Icons\\INV_Misc_Bag_08:" .. scale .. "|t";
  elseif not (ItemTexturePath == nil) then
    return "|T" .. ItemTexturePath .. ":" .. scale .. "|t";
    --elseif (itemID=="NONE") or (itemID==nil) or (itemID=="") or (itemID==0) then
  else
    return "|TInterface\\GossipFrame\\ActiveQuestIcon:" .. scale .. "|t"; --Show QuestIcon if no bag is dected
  end
end

function Liquid_Wealth:ClassColor(Char)
  local fontcolor = "FFFFFF"
  local class
  if string.find(Char,":") then
     _, _, class = strsplit(":", Char)
  else
    class = Char
  end
  class = strupper(class)
  if (class == "DEATH KNIGHT") then
    fontcolor = "C41F3B"
  elseif (class == "DRUID") then
    fontcolor = "FF7D0A"
  elseif (class == "HUNTER") then
    fontcolor = "ABD473"
  elseif (class == "MAGE") then
    fontcolor = "69CCF0"
  elseif (class == "PALADIN") then
    fontcolor = "F58CBA"
  elseif (class == "PRIEST") then
    fontcolor = "FFFFFF"
  elseif (class == "ROGUE") then
    fontcolor = "FFF569"
  elseif (class == "SHAMAN") then
    fontcolor = "0070DE"
  elseif (class == "WARLOCK") then
    fontcolor = "9482C9"
  elseif (class == "WARRIOR") then
    fontcolor = "C79C6E"
  end
  return "FF" .. fontcolor
end
